Get list of all resthook subscriptions
curl --request GET \
--url https://{region}.affinda.com/v2/resthook_subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v2/resthook_subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v2/resthook_subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{
"id": 2,
"event": "document.parse.succeeded",
"targetUrl": "https://my-site.com/receive",
"active": true,
"autoDeactivated": true,
"autoDeactivateReason": "Resthook fails after 10 retries. The last error received was: 500 - Internal server error.",
"version": "v3"
}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Webhook API
Get list of all resthook subscriptions
deprecated
Returns your resthook subscriptions.
GET
/
v2
/
resthook_subscriptions
Get list of all resthook subscriptions
curl --request GET \
--url https://{region}.affinda.com/v2/resthook_subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v2/resthook_subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v2/resthook_subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{
"id": 2,
"event": "document.parse.succeeded",
"targetUrl": "https://my-site.com/receive",
"active": true,
"autoDeactivated": true,
"autoDeactivateReason": "Resthook fails after 10 retries. The last error received was: 500 - Internal server error.",
"version": "v3"
}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Query Parameters
The number of documents to skip before starting to collect the result set.
Required range:
x >= 0Example:
0
The numbers of results to return.
Required range:
1 <= x <= 100Example:
20
Was this page helpful?